<!DOCTYPE html>
<html lang="en">


{% extends 'logged-out-template.html'%}

{% block head %}
{{ super() }}
{% endblock %}

{% import 'macros.html' as macro %}

{% from "form_macros.html" import show_field, show_submit %}

<body>

<div class="d-flex" id="wrapper">

    <!-- Page Content -->
    <div id="page-content-wrapper">


        {% block nav %}
        {% with messages = get_flashed_messages(with_categories=true) %}
        {% if messages %}
        {% for category, message in messages %}
        <div class="alert alert-{{category}} alert-dismissible fade show" role="alert">
            {{ message }}
            <button type="button" class="close" data-dismiss="alert" aria-label="Close">
                <span aria-hidden="true">&times;</span>
            </button>
        </div>
        {% endfor %}
        {% endif %}
        {% endwith %}

        {{ super() }}

        {% endblock %}
        {% block body %}
        <div>
            <p></p>
            <p></p>
        </div>

        <div class="cotainer">
            <div class="row justify-content-center">
                <div class="col-md-8">
                    <div class="card">
                        <div class="card-header">Filtro</div>
                        <div class="card-body">
                            <form action="{{ url_for('login.index') }}" method="GET">
                                <table class="">
                                    <thead class="">
                                    <tr>
                                        <th scope="col">{{ show_field(form.from_date) }}</th>
                                        <th scope="col">{{ show_field(form.depth_min) }}</th>
                                        <th scope="col">{{ show_field(form.magnitude_min) }}</th>
                                        <th scope="col">{{ show_field(form.sensor_name) }}</th>
                                        <th scope="col">{{ show_field(form.download) }}</th>
                                    </tr>
                                    </thead>
                                    <tbody>
                                        <td>{{ show_field(form.to_date) }}</td>
                                        <td>{{ show_field(form.depth_max) }}</td>
                                        <td>{{ show_field(form.magnitude_max) }}</td>
                                        <td>{{ show_field(form.submit_button) }}</td>
                                    </tbody>
                                </table>

                            </form>
                        </div>
                    </div>
                </div>
            </div>
        </div>


        <div class="cotainer">
            <div class="row justify-content-center">
                <div class="col-md-8">
                    <div class="card">
                        <div class="card-header">Sismos Verificados</div>
                        <div class="card-body">
                            <nav aria-label="Pagination">
                                <ul class="pagination justify-content-end">
                                    {% if pagination.page != 1 %}
                                    <li class="page-item">
                                        <a class="page-link"
                                           href="{{ url_for('login.index',
                      page = (pagination.page-1),
                      from_date = request.args.from_date,
                      to_date = request.args.to_date,
                      depth_min = request.args.depth_min,
                      depth_max = request.args.depth_max,
                      magnitude_min = request.args.magnitude_min,
                      magnitude_max = request.args.magnitude_max,
                      sensor_name = request.args.sensor_name) }}">Anterior</a>
                                    </li>
                                    {% else %}
                                    <li class="page-item disabled">
                                        <a class="page-link" href="#" tabindex="-1" aria-disabled="true">Anterior</a>
                                    </li>
                                    {% endif %}
                                    {% set subtract_page = 5 %}
                                    {% set subtract_page2 = 5 %}
                                    {% if pagination.page == 5 %}
                                    {% set subtract_page = 4 %}
                                    {% endif %}
                                    {% if pagination.page == 4 %}
                                    {% set subtract_page = 3 %}
                                    {% endif %}
                                    {% if pagination.page == 3 %}
                                    {% set subtract_page = 2 %}
                                    {% endif %}
                                    {% if pagination.page == 2 %}
                                    {% set subtract_page = 1 %}
                                    {% endif %}
                                    {% if pagination.page == 1 %}
                                    {% set subtract_page = 0 %}
                                    {% endif %}

                                    {% if pagination.total_pages-pagination.page == 4 %}
                                    {% set subtract_page2 = 5 %}
                                    {% endif %}
                                    {% if pagination.total_pages-pagination.page == 3 %}
                                    {% set subtract_page2 = 4 %}
                                    {% endif %}
                                    {% if pagination.total_pages-pagination.page == 2 %}
                                    {% set subtract_page2 = 3 %}
                                    {% endif %}
                                    {% if pagination.total_pages-pagination.page == 1 %}
                                    {% set subtract_page2 = 2 %}
                                    {% endif %}
                                    {% if pagination.total_pages-pagination.page == 0 %}
                                    {% set subtract_page2 = 1 %}
                                    {% endif %}
                                    {% if pagination.total_items == 0 %}
                                    {% set subtract_page = 0 %}
                                    {% set subtract_page2 = 0 %}
                                    {% endif %}


                                    {% for n in range(pagination.page - subtract_page, pagination.page + subtract_page2)
                                    %}
                                    {% if n != pagination.page %}
                                    <li class="page-item">
                                        <a class="page-link" href="{{ url_for('login.index',
                               page = n,
                               from_date = request.args.from_date,
                               to_date = request.args.to_date,
                               depth_min = request.args.depth_min,
                               depth_max = request.args.depth_max,
                               magnitude_min = request.args.magnitude_min,
                               magnitude_max = request.args.magnitude_max,
                               sensor_name = request.args.sensor_name) }}">{{n}}</a>
                                    </li>
                                    {% else %}
                                    <li class="page-item disabled">
                                        <a class="page-link" href="#" tabindex="-1" aria-disabled="true">{{n}}</a>
                                    </li>
                                    {% endif %}
                                    {% endfor %}
                                    {% if pagination.page != pagination.total_pages and pagination.total_items != 0 %}
                                    <li class="page-item">
                                        <a class="page-link"
                                           href="{{ url_for('login.index',
                     page = (pagination.page+1),
                     from_date = request.args.from_date,
                     to_date = request.args.to_date,
                     depth_min = request.args.depth_min,
                     depth_max = request.args.depth_max,
                     magnitude_min = request.args.magnitude_min,
                     magnitude_max = request.args.magnitude_max,
                     sensor_name = request.args.sensor_name) }}">Siguiente</a>
                                    </li>
                                    {% else %}
                                    <li class="page-item disabled">
                                        <a class="page-link" href="#" tabindex="-1" aria-disabled="true">Siguiente</a>
                                    </li>
                                    {% endif %}
                                    </li>
                                </ul>
                            </nav>
                            <table class="table">
                                <thead class="thead-dark">
                                <tr>
                                    {% if request.args.order_by == "sensor_name[asc]" %}
                                    <th scope="col"><a href="{{ url_for('login.index',
                      order_by = 'sensor_name[desc]',
                      from_date = request.args.from_date,
                      to_date = request.args.to_date,
                      depth_min = request.args.depth_min,
                      depth_max = request.args.depth_max,
                      magnitude_min = request.args.magnitude_min,
                      magnitude_max = request.args.magnitude_max,
                      sensor_name = request.args.sensor_name) }}">ID</a></th>
                                    {% else %}
                                    <th scope="col"><a href="{{ url_for('login.index',
                      order_by = 'sensor_name[asc]',
                      from_date = request.args.from_date,
                      to_date = request.args.to_date,
                      depth_min = request.args.depth_min,
                      depth_max = request.args.depth_max,
                      magnitude_min = request.args.magnitude_min,
                      magnitude_max = request.args.magnitude_max,
                      sensor_name = request.args.sensor_name) }}">ID</a></th>
                                    {% endif %}
                                    {% if request.args.order_by == "datetime[desc]" %}
                                    <th scope="col"><a href="{{ url_for('login.index',
                      order_by = 'datetime[asc]',
                      from_date = request.args.from_date,
                      to_date = request.args.to_date,
                      depth_min = request.args.depth_min,
                      depth_max = request.args.depth_max,
                      magnitude_min = request.args.magnitude_min,
                      magnitude_max = request.args.magnitude_max,
                      sensor_name = request.args.sensor_name) }}">Fecha</a></th>
                                    {% else %}
                                    <th scope="col"><a href="{{ url_for('login.index',
                      order_by = 'datetime[desc]',
                      from_date = request.args.from_date,
                      to_date = request.args.to_date,
                      depth_min = request.args.depth_min,
                      depth_max = request.args.depth_max,
                      magnitude_min = request.args.magnitude_min,
                      magnitude_max = request.args.magnitude_max,
                      sensor_name = request.args.sensor_name) }}">Fecha</a></th>
                                    {% endif %}
                                    {% if request.args.order_by == "depth[desc]" %}
                                    <th scope="col"><a href="{{ url_for('login.index',
                      order_by = 'depth[asc]',
                      from_date = request.args.from_date,
                      to_date = request.args.to_date,
                      depth_min = request.args.depth_min,
                      depth_max = request.args.depth_max,
                      magnitude_min = request.args.magnitude_min,
                      magnitude_max = request.args.magnitude_max,
                      sensor_name = request.args.sensor_name) }}">Profundidad</a></th>
                                    {% else %}
                                    <th scope="col"><a href="{{ url_for('login.index',
                      order_by = 'depth[desc]',
                      from_date = request.args.from_date,
                      to_date = request.args.to_date,
                      depth_min = request.args.depth_min,
                      depth_max = request.args.depth_max,
                      magnitude_min = request.args.magnitude_min,
                      magnitude_max = request.args.magnitude_max,
                      sensor_name = request.args.sensor_name) }}">Profundidad</a></th>
                                    {% endif %}
                                    {% if request.args.order_by == "magnitude[desc]" %}
                                    <th scope="col"><a href="{{ url_for('login.index',
                      order_by = 'magnitude[asc]',
                      from_date = request.args.from_date,
                      to_date = request.args.to_date,
                      depth_min = request.args.depth_min,
                      depth_max = request.args.depth_max,
                      magnitude_min = request.args.magnitude_min,
                      magnitude_max = request.args.magnitude_max,
                      sensor_name = request.args.sensor_name) }}">Magnitud</a></th>
                                    {% else %}
                                    <th scope="col"><a href="{{ url_for('login.index',
                      order_by = 'magnitude[desc]',
                      from_date = request.args.from_date,
                      to_date = request.args.to_date,
                      depth_min = request.args.depth_min,
                      depth_max = request.args.depth_max,
                      magnitude_min = request.args.magnitude_min,
                      magnitude_max = request.args.magnitude_max,
                      sensor_name = request.args.sensor_name) }}">Magnitud</a></th>
                                    {% endif %}
                                    <th scope="col">Latitud</th>
                                    <th scope="col">Longitud</th>
                                    <th scope="col">Detalles</th>
                                </tr>
                                </thead>
                                <tbody>
                                {% for seism in seisms_verified %}
                                {{ macro.show_seisms_verified2(seism, web) }}
                                {% endfor %}
                                </tbody>
                            </table>
                        </div>
                    </div>
                </div>
            </div>
        </div>


        {% endblock %}
    </div>
</div>


</div>
{% block script %}
{{ super() }}
{% endblock %}
</body>
</html>